package de.neusta.imonitor.correlation.input;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.correlation.configs.InputConfig;
import de.neusta.imonitor.correlation.configs.InputMethod;

@Service
public class InputProcessorFactory {

	@Autowired
	private PipeProcessor pipeProcessor;
	
	@Autowired
	private FileProcessor fileProcessor;
	
	@Autowired
	private InputConfig inputConfig;
	
	/**
	 * creates a new input processor w.r.t. the input configuration specified in the input config file.
	 * @param eventProcessor 
	 * @param ontology 
	 * @return
	 */
	public IInputProcessor createInputProcessor(){
		IInputProcessor inputProcessor = null;
		InputMethod inputMethod = inputConfig.getInputMethod();
		if (inputMethod == InputMethod.Pipe){
			inputProcessor = pipeProcessor;
		} else if (inputMethod == InputMethod.File){
			inputProcessor = fileProcessor;
		}
		return inputProcessor;
	}
}
