package de.neusta.imonitor.correlation.input;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.correlation.configs.InputConfig;
import de.neusta.imonitor.correlation.configs.InputFormat;

@Service
public class LineProcessorFactory {
	
	private static Logger logger = LoggerFactory.getLogger(PipeProcessor.class);
	
	@Autowired
	private InputConfig inputConfig;
	
	@Autowired
	private CSVProcessor csvProcessor;

	@Autowired
	private JSONProcessor jsonProcessor;

	
	public ILineProcessor createLineProcessor() {
		InputFormat inputFormat = inputConfig.getInputFormat();
		ILineProcessor lineProcessor = null;
		if (inputFormat == InputFormat.CSV){
			lineProcessor = csvProcessor;
		} else if (inputFormat == InputFormat.JSON){
			lineProcessor = jsonProcessor;
		} else
		{
			logger.error(String.format("Unrecognized input format : " + inputFormat));
		}
		return lineProcessor;
	}

	
}
