package de.neusta.imonitor.correlation.processors;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Service;

import de.neusta.imonitor.correlation.utils.ConversionUtils;
import de.neusta.imonitor.ontology.VariableList;
import de.neusta.imonitor.ruleparser.rules.Action;

@Service
public class RecommendationProcessor {
	
	public List<String> processRecommendations(Action action,
			VariableList variableList,
			HashMap<String, List<String>> actionQueryVariables) {
		List<String> results = new ArrayList<String>();
		for (String recommendation : action.getRecommendations()) {
			String recommendationResult = ConversionUtils
					.replaceVariablesInString(variableList,
							actionQueryVariables, recommendation);
			results.add(recommendationResult);
		}
		return results;
	}



}
