package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.ontology.VariableList;


@Service
public class MakroService {
	
	@Autowired
	private VariableReplacementService variableReplacementService;
	@Autowired
	private StringListReplacementService stringListReplacementService;

	public String substitute(String command, List<String> explanations,
			List<String> recommendations, VariableList variableList) {
		String result = new String(command);
		result = variableReplacementService.replace(result, variableList);
		result = stringListReplacementService.replaceAll(result, "$explanation", explanations);
		result = stringListReplacementService.replaceAll(result, "$recommendation", recommendations);
		return result;
	}
	
	

}
