package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.ontology.Ontology;
import de.neusta.imonitor.ontology.configs.OntologyConfig;

@Service
@Scope("singleton")
public class OntologyInitService {
	
	private static final Logger LOGGER = LoggerFactory.getLogger(OntologyInitService.class); 
	
	@Autowired
	private Ontology ontology;
	
	@Autowired
	private OntologyConfig ontologyConfig;

	@PostConstruct
	public void init() {
		LOGGER.info("Loading ontology: '" + ontologyConfig.getOntology() + "'");
		ontology.load(ontologyConfig.getOntology());
	}
	
	public Ontology loadAndInitOntology() {
		return ontology;
	}

}
