package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class StringListReplacementService {
	
	/**
	 * Replaces all occurences of a string that is enumerated in the given input.
	 * @param input The input string to process
	 * @param enumIdentifier The identifier used for enumeration, e.g. '$explanation' will lead to '$explanation1', '$explanation2', ... 
	 * @param replacements a list of values to set into the identified replacement positions.
	 * @return The string with replacements.
	 */
	public String replaceAll(String input, String enumIdentifier, List<String> replacements) {
		String result = new String(input);
		for (int id = 0; id < replacements.size(); id++) {
			result = result.replace(enumIdentifier + (id + 1), replacements.get(id));
		}
		return result;
	}
}
