package de.neusta.imonitor.correlation.threadpool;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import javax.annotation.PostConstruct;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import de.neusta.imonitor.correlation.garbagecollection.IndividualGarbageCollector;

@Component
@Scope("singleton")
public class IndividualGarbageCollectionThreadPool {

	private static final int THREADS = 1;
	private ExecutorService threadPool;
	
	@PostConstruct
	public void init() {
		threadPool = Executors.newFixedThreadPool(THREADS);
	}
	
	public void execute(IndividualGarbageCollector individualGarbageCollector) {
		threadPool.execute(individualGarbageCollector);
	}
}
