package de.neusta.imonitor.correlation.processors;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.services.QueryFactoryService;
import de.neusta.imonitor.ontology.Ontology;
import de.neusta.imonitor.ontology.VariableList;
import de.neusta.imonitor.ruleparser.abstraction.Abstraction;
import de.neusta.imonitor.ruleparser.rules.Action;


@RunWith(MockitoJUnitRunner.class)
public class UpdateProcessorTest {
	
	@InjectMocks
	private UpdateProcessor updateProcessor;
	@Mock
	private Ontology ontology;
	@Mock
	private QueryFactoryService queryFactoryService;


	@Test
	public void testProcessUsesPrefix() throws Exception {
		Action action = Mockito.mock(Action.class);
		List<String> updateQueries = new ArrayList<String>();
		updateQueries.add("UPDATEQUERY");
		Mockito.when(action.getUpdateQueries()).thenReturn(updateQueries );
		VariableList variableList = new VariableList();
		HashMap<String, List<String>> actionQueryVariables = new HashMap<String, List<String>>();
		Abstraction abstraction = new Abstraction();
		Mockito.when(ontology.getSparqlPrefixes()).thenReturn("PREFIX");
		Mockito.when(queryFactoryService.createQuery(abstraction, "UPDATEQUERY")).thenReturn("UPDATEQUERY");
		
		updateProcessor.process(action, variableList, actionQueryVariables, abstraction);
		
		Mockito.verify(ontology).update("PREFIX" + "UPDATEQUERY");
	}

}
