package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

import de.neusta.imonitor.ontology.VariableList;

@RunWith(PowerMockRunner.class)
@PrepareForTest({Runtime.class, CommandService.class})
public class CommandServiceTest {

	private static final String COMMAND = "command";
	@InjectMocks
	private CommandService processCommandService;
	@Mock
	private MakroService makroService;
	@Mock
	private Runtime runtime;
	@Mock
	private Process process;

	@Test
	public void testProcess() throws Exception {
		PowerMockito.mockStatic(Runtime.class);
		PowerMockito.when(Runtime.getRuntime()).thenReturn(runtime);
		List<String> explanations = new ArrayList<String>();
		List<String> recommendations = new ArrayList<String>();
		VariableList variableList = new VariableList();
		Mockito.when(runtime.exec(COMMAND)).thenReturn(process);
		Mockito.when(makroService.substitute(COMMAND, explanations, recommendations, variableList)).thenReturn(COMMAND);

		processCommandService.processCommand(COMMAND, explanations,
				recommendations, variableList);
		
		Mockito.verify(process).waitFor();

	}

}
