package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.util.Date;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.transformer.DateToDatetimeTransformer;
import de.neusta.imonitor.ontology.VariableList;


@RunWith(MockitoJUnitRunner.class)
public class DefaultVariablesServiceTest {
	
	@Mock
	private DateToDatetimeTransformer dateToDatetimeTransformer;
	
	@InjectMocks
	private DefaultVariablesService defaultVariablesService;

	@Test
	public void testAddDefaultVariables() throws Exception {
		VariableList variableList = new VariableList();
		Mockito.when(dateToDatetimeTransformer.transform(Mockito.any(Date.class))).thenReturn("convertedDate");
		
		defaultVariablesService.addDefaultVariables(variableList);
		
		assertEquals("\"convertedDate\"^^xsd:dateTime", variableList.getVariable("NOW").getValue());
		assertEquals("\"convertedDate\"^^xsd:dateTime", variableList.getVariable("TODAY").getValue());
		assertEquals("\"convertedDate\"^^xsd:dateTime", variableList.getVariable("YESTERDAY").getValue());
		assertEquals("\"convertedDate\"^^xsd:dateTime", variableList.getVariable("10MINUTESAGO").getValue());
		assertEquals("\"convertedDate\"^^xsd:dateTime", variableList.getVariable("1HOURAGO").getValue());
		assertNotNull(variableList.getVariable("GUID1"));
		assertNotNull(variableList.getVariable("GUID2"));
		assertNotNull(variableList.getVariable("GUID3"));
		assertNotNull(variableList.getVariable("DATA"));
	}

}
