package de.neusta.imonitor.correlation.services;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.persistency.entities.ValueMappingEntity;
import de.neusta.imonitor.correlation.persistency.repositories.ValueMappingRepository;
import de.neusta.imonitor.ontology.VariableList;


@RunWith(MockitoJUnitRunner.class)
public class ValueMappingServiceTest {
	
	@InjectMocks
	private ValueMappingService valueMappingService;
	@Mock
	private ValueMappingRepository valueMappingRepository;

	@Ignore
	@Test
	public void testMapVariables() throws Exception {
		VariableList variableList = new VariableList();
		variableList.createVariable("varname", "varvalue");
		List<ValueMappingEntity> valueMappings = new ArrayList<ValueMappingEntity>();
		ValueMappingEntity valueMappingEntity = new ValueMappingEntity();
		valueMappingEntity.setVariableName("varname");
		valueMappingEntity.setValue("varvalue");
		valueMappingEntity.setMappedValue("mappedValue");
		valueMappings.add(valueMappingEntity );
		Mockito.when(valueMappingRepository.findByVariableNameAndValue("varname", "varvalue")).thenReturn(valueMappings );
		
		valueMappingService.mapVariables(variableList );
		
		assertEquals("mappedValue", variableList.getVariables().iterator().next().getValue());
	}

}
