package de.neusta.imonitor.correlation.utils;

/*
 * #%L
 * correlation
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.HashMap;
import java.util.List;

import org.junit.Test;

import de.neusta.imonitor.ontology.VariableList;


public class ConversionUtilsTest {

	@Test
	public void testReplaceVariablesInStringNull() throws Exception {
		ConversionUtils.removeNamespace(null);
	}

	@Test
	public void testFormatListNull() throws Exception {
		ConversionUtils.formatList(null);
	}

	@Test
	public void testReplaceVariablesInStringNullText() throws Exception {
		HashMap<String, List<String>> actionQueryVariables = new HashMap<String, List<String>>();
		VariableList variableList = new VariableList();
		variableList.createVariable("var", "val");
		
		ConversionUtils.replaceVariablesInString(variableList , actionQueryVariables , null);
	}
	
	@Test
	public void testReplaceVariablesInStringNullVariableValue() throws Exception {
		HashMap<String, List<String>> actionQueryVariables = new HashMap<String, List<String>>();
		VariableList variableList = new VariableList();
		variableList.createVariable("var", null);
		
		ConversionUtils.replaceVariablesInString(variableList , actionQueryVariables , "text");
	}

}
