package de.neusta.imonitor.correlation;

import java.util.List;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.rules.Action;

public class ActionTests {

	@Test
	public void createActionInstanceTest(){
		Action action = new Action();
		Assert.assertNotNull(action);
	}
	
	@Test
	public void addActionQueryTest(){
		Action action = new Action();
		action.addQuery("q1");
		action.addQuery("q2");
		List<String> queries = action.getQueries();
		Assert.assertEquals(2, queries.size());
		Assert.assertEquals("q1", queries.get(0));
		Assert.assertEquals("q2", queries.get(1));
	}
	
	@Test
	public void addExplanationTest(){
		Action action = new Action();
		action.addExplanation("exp1");
		action.addExplanation("exp2");
		List<String> explanations = action.getExplanations();
		Assert.assertEquals(2, explanations.size());
		Assert.assertEquals("exp1", explanations.get(0));
		Assert.assertEquals("exp2", explanations.get(1));
	}
	
	@Test
	public void addRecommendationTest(){
		Action action = new Action();
		action.addRecommendation("rec1");
		action.addRecommendation("rec2");
		List<String> recommendations = action.getRecommendations();
		Assert.assertEquals(2, recommendations.size());
		Assert.assertEquals("rec1", recommendations.get(0));
		Assert.assertEquals("rec2", recommendations.get(1));
	}
}
