package de.neusta.imonitor.correlation;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.configs.CorrelationConfig;
import de.neusta.imonitor.correlation.configs.InputConfig;
import de.neusta.imonitor.correlation.configs.InputMethod;
import de.neusta.imonitor.ontology.configs.OntologyConfig;

public class ConfigsTests {

	@Test
	public void testLoadOntologyConfigAndGetOntologyPath(){
		Assert.assertNotNull(OntologyConfig.getOntology());
	}
	
	@Test
	public void testLoadCorrelationConfigAndGetRuleFilePath(){
		Assert.assertNotNull(CorrelationConfig.getRuleFile());
	}

	@Test
	public void testLoadInputConfigAndGetInputMethod(){
		Assert.assertNotSame(InputMethod.Unknown, InputConfig.getInputMethod());
	}
	
	@Test
	public void testLoadInputConfigAndGetDefaultNamespace(){
		String defaultNamespace = InputConfig.getDefaultNamespace();
		Assert.assertNotNull(defaultNamespace);
	}
}
