package de.neusta.imonitor.correlation;

import org.junit.Assert;
import org.junit.Test;

import de.neusta.imonitor.correlation.independencychecker.IndependentQueryChecker;
import de.neusta.imonitor.ontology.Ontology;

public class IndependentQueryCheckerTests {
	
	private static final String INDEPENDENT_QUERY = "ASK { $hostaddress a imonitor:Server }";

	private static final String NON_INDEPENDENT_QUERY = "ASK { $hostaddress a imonitor:Server. $hoststate owl:sameAs imonitor:DOWN }";

	
	/**
	 * Tests that an independent query is identified to be independent.
	 */
	@Test
	public void testIndependentQuery(){
		Ontology testOntology = TestHelper.getTestOntology();
		IndependentQueryChecker independentQueryChecker = new IndependentQueryChecker(testOntology);
		boolean result = independentQueryChecker.isIndependet(INDEPENDENT_QUERY);
		Assert.assertTrue(result);
	}

	/**
	 * Tests that a non-independent query is identified to be non-independent.
	 */
	@Test
	public void testNonIndependentQuery(){
		Ontology testOntology = TestHelper.getTestOntology();
		IndependentQueryChecker independentQueryChecker = new IndependentQueryChecker(testOntology);
		boolean result = independentQueryChecker.isIndependet(NON_INDEPENDENT_QUERY);
		Assert.assertFalse(result);
	}
}
