package de.neusta.imonitor.correlation;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

import de.neusta.imonitor.correlation.actionprocessor.ActionProcessor;
import de.neusta.imonitor.correlation.eventprocessor.EventProcessorFactory;
import de.neusta.imonitor.correlation.eventprocessor.IEventProcessor;
import de.neusta.imonitor.correlation.input.PipeProcessor;
import de.neusta.imonitor.correlation.mocks.ActionProcessorMock;
import de.neusta.imonitor.ontology.Ontology;

public class PipeProcessorTests {
	
	private ActionProcessor actionProcessor;
	
	@Before
	public void setupClass(){
		this.actionProcessor = new ActionProcessorMock();
	}
	
	@Test
	public void testCreatePipeProcessorInstance(){
		PipeProcessor pipeProcessor = createPipeProcessor();
		Assert.assertNotNull(pipeProcessor);
	}


	private PipeProcessor createPipeProcessor() {
		Ontology testOntology = TestHelper.getTestOntology();
		IEventProcessor eventProcessor = EventProcessorFactory.createEventProcessor(testOntology, TestHelper.getTestRuleFile(), this.actionProcessor);
		PipeProcessor pipeProcessor = new PipeProcessor(eventProcessor);
		return pipeProcessor;
	}

}
