package de.neusta.imonitor.correlation;

import java.util.List;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import de.neusta.imonitor.correlation.persistency.SessionManager;
import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.correlation.persistency.repositories.RuleRepository;
import de.neusta.imonitor.correlation.rules.Rule;
import de.neusta.imonitor.correlation.rules.RuleParser;

public class ReadRuleFromDatabaseTest {

	private static final String QUERY = "ASK { $hostaddress a imonitor:Server. $hoststate owl:sameAs imonitor:DOWN }";
	private static final String RULE = "<rule><condition><query>"+QUERY+"</query></condition></rule>";

	private RuleParser ruleParser = new RuleParser();
	
	@Before
	public void setup() throws Exception {
		SessionManager.getSessionFactory("hibernate.test.cfg.xml");
		RuleRepository ruleRepository = RuleRepository.createInstance();
		RuleEntity ruleEntity = new RuleEntity();
		ruleEntity.setRule(RULE);
		RuleEntity createdRuleEntity = ruleRepository.create(ruleEntity);
		ruleParser.loadRulesFromDatabase(TestHelper.getTestOntology());
	}
	
	@Test
	public void testLoadRuleFromDatabase(){
		List<Rule> rules = ruleParser.getRules();
		Assert.assertNotNull(rules);
		Assert.assertEquals(1, rules.size());
	}
}
