package de.neusta.imonitor.correlation;

import java.util.List;

import org.junit.Before;
import org.junit.Test;

import junit.framework.Assert;
import de.neusta.imonitor.correlation.persistency.SessionManager;
import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.correlation.persistency.repositories.RuleRepository;

public class RuleRepositoryTest {
	
	private static final String RULE = "RULE";
	private static final String NAME = "NAME";
	private RuleRepository ruleRepository;
	
	@Before
	public void setup(){
		SessionManager.getSessionFactory("hibernate.test.cfg.xml");
		this.ruleRepository = RuleRepository.createInstance();
	}
	
	@Test
	public void testRuleCreate(){
		RuleEntity createdRuleEntity = createRuleEntity();
		Assert.assertNotNull(createdRuleEntity);
		Assert.assertTrue(createdRuleEntity.getId() > 0);
		Assert.assertEquals(RULE, createdRuleEntity.getRule());
		Assert.assertEquals(NAME, createdRuleEntity.getName());
	}

	@Test
	public void testRuleLoad(){
		RuleEntity createdRuleEntity = this.createRuleEntity();
		RuleEntity loadedRuleEntity = this.ruleRepository.findById(createdRuleEntity.getId());
		Assert.assertNotNull(loadedRuleEntity);
		Assert.assertEquals(RULE, loadedRuleEntity.getRule());
	}
	
	@Test
	public void testFetchAll(){
		this.createRuleEntity();
		List<RuleEntity> fetchAll = this.ruleRepository.fetchAll();
		Assert.assertNotNull(fetchAll);
		Assert.assertTrue(fetchAll.size() > 0);
	}

	private RuleEntity createRuleEntity() {
		RuleEntity ruleEntity = new RuleEntity();
		ruleEntity.setRule(RULE);
		ruleEntity.setName(NAME);
		RuleEntity createdRuleEntity = ruleRepository.create(ruleEntity);
		return createdRuleEntity;
	}
	
}
