package de.neusta.imonitor.correlation.persistency.entities;

/*
 * #%L
 * entities
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import de.neusta.imonitor.correlation.persistency.enums.IncidentStatus;

@Entity
@Table(name="Incident")
public class IncidentEntity extends IdentifyingEntity {
	
	private Date timestamp;
	
	@Enumerated(EnumType.STRING)
	private IncidentStatus status;
	
	private String destinationIp;
	
	private String destinationIpOntology;
	
	private String sourceIp;
	
	private String sourceIpOntology;
	
	private int risk;
	
	private String name;
	
	@OneToMany(mappedBy="incident", cascade=CascadeType.ALL, fetch = FetchType.EAGER)
	private List<ExplanationEntity> explanations;

	
	@OneToMany(mappedBy="incident", cascade=CascadeType.ALL, fetch = FetchType.EAGER)
	private List<RecommendationEntity> recommendations;

	
	public IncidentStatus getStatus() {
		return status;
	}

	public void setStatus(IncidentStatus status) {
		this.status = status;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public String getDestinationIp() {
		return destinationIp;
	}

	public void setDestinationIp(String destinationIp) {
		this.destinationIp = destinationIp;
	}

	public String getSourceIp() {
		return sourceIp;
	}

	public void setSourceIp(String sourceIp) {
		this.sourceIp = sourceIp;
	}

	public int getRisk() {
		return risk;
	}

	public void setRisk(int risk) {
		this.risk = risk;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<RecommendationEntity> getRecommendations() {
		return recommendations;
	}

	public void setRecommendations(List<RecommendationEntity> recommendations) {
		this.recommendations = recommendations;
	}

	public List<ExplanationEntity> getExplanations() {
		return explanations;
	}

	public void setExplanations(List<ExplanationEntity> explanations) {
		this.explanations = explanations;
	}

	public String getDestinationIpOntology() {
		return destinationIpOntology;
	}

	public void setDestinationIpOntology(String destinationIpOntology) {
		this.destinationIpOntology = destinationIpOntology;
	}

	public String getSourceIpOntology() {
		return sourceIpOntology;
	}

	public void setSourceIpOntology(String sourceIpOntology) {
		this.sourceIpOntology = sourceIpOntology;
	} 
}
