package de.neusta.imonitor.knowledgeserver.controller;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.persistence.entities.enums.Status;
import de.neusta.imonitor.knowledgeserver.persistence.service.RuleRepositoryService;

@Service
@Scope("session")
public class EditRuleController {
	@Autowired
	private RuleRepositoryService ruleRepositoryService;

	private RuleEntity ruleEntity;
	
	public String edit(long ruleId){
		ruleEntity = this.ruleRepositoryService.getRuleEntity(ruleId);
		return "editrule";
	}
	
	public void accept(){
		this.ruleEntity.setStatus(Status.ACCEPTED);
	}
	
	public void decline(){
		this.ruleEntity.setStatus(Status.DECLINED);
	}
	
	public String delete(){
		this.ruleRepositoryService.delete(ruleEntity.getId());
		return PageConstants.PAGE_LIST_RULES;
	}
	
	public String getRuleName(){
		return this.ruleEntity.getName();
	}

	public String getRuleXml(){
		return this.ruleEntity.getXml();
	}
	
	public void setRuleName(String name){
		this.ruleEntity.setName(name);
	}
	
	public void setRuleXml(String xml){
		this.ruleEntity.setXml(xml);
	}
	
	public String save(){
		this.ruleRepositoryService.saveRule(ruleEntity);
		return "rules";
	}
	
	public String cancel(){
		return "rules";
	}
	
	public Status getStatus(){
		return this.ruleEntity.getStatus();
	}
	
	public Date getCommitDate(){
		return this.ruleEntity.getCommitDate();
	}
}
