package de.neusta.imonitor.knowledgeserver.ontology;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.net.URL;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.ontology.Ontology;

@Service
public class OntologyProvider {

	private final static String ONTOLOGY_FILE = "ontology.owl";

	@Autowired
	private Ontology ontology;

	@PostConstruct
	public void init(){
		this.ontology.load("file:" + getRealPath(ONTOLOGY_FILE));
	}
	
	public Ontology getOntology() {
		return ontology;
	}
	
	private String getRealPath(String filename){
		URL resource = OntologyProvider.class.getClassLoader().getResource(filename);
		return resource.getFile();
	}

}
