package de.neusta.imonitor.knowledgeserver.converter;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertEquals;

import java.util.Date;

import org.junit.Test;

import de.neusta.imonitor.knowledgeserver.controller.Rule;
import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.persistence.entities.enums.Status;


public class RuleEntityToRuleConverterTest {
	
	@Test
	public void testConvert() throws Exception {
		RuleEntityToRuleConverter ruleEntityToRuleConverter = new RuleEntityToRuleConverter();
		RuleEntity source = new RuleEntity();
		final String TEST_NAME = "testname";
		source.setName(TEST_NAME);
		long ID = 2;
		source.setId(ID);
		source.setStatus(Status.ACCEPTED);
		Date commitDate = new Date();
		source.setCommitDate(commitDate);
		
		Rule target = ruleEntityToRuleConverter.convert(source );
		
		assertEquals(TEST_NAME, target.getName());
		assertEquals(ID, target.getId());
		assertEquals(Status.ACCEPTED, target.getStatus());
		assertEquals(commitDate, target.getCommitDate());
	}

}
