package de.neusta.imonitor.knowledgeserver.converter;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertEquals;

import org.junit.Test;

import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.webservice.dto.RuleDTO;


public class RuleEntityToRuleDtoConverterTest {

	@Test
	public void testConvert() throws Exception {
		RuleEntityToRuleDtoConverter ruleEntityToRuleDtoConverter = new RuleEntityToRuleDtoConverter();
		RuleEntity ruleEntity = new RuleEntity();
		final String NAME = "name";
		ruleEntity.setName(NAME);
		final String XML = "xml";
		ruleEntity.setXml(XML);
		ruleEntity.setId(3);
		
		RuleDTO converted = ruleEntityToRuleDtoConverter.convert(ruleEntity);
		
		assertEquals(NAME, converted.getName());
		assertEquals(XML, converted.getXml());
		assertEquals(new Long(3), converted.getId());
	}
	
}
