package de.neusta.imonitor.knowledgeserver.persistence.service;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */



import static org.junit.Assert.*;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import de.neusta.imonitor.knowledgeserver.controller.Rule;
import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.persistence.repositories.RuleRepository;
import de.neusta.imonitor.knowledgeserver.webservice.dto.PageDTO;


@RunWith(MockitoJUnitRunner.class)
public class RuleRepositoryServiceTest {

	@Mock
	private RuleRepository ruleRepository;
	
	@InjectMocks
	private RuleRepositoryService ruleRepositoryService;
	
	@Mock
	private Page<RuleEntity> ruleEntityPageable;
	
	@Test
	public void testGetRulesPageCallsRepositoryWithPageRequest() throws Exception {
		Mockito.when(this.ruleRepository.findAll(Mockito.any(Pageable.class))).thenReturn(ruleEntityPageable);
		
		PageDTO<Rule> rulesPage = this.ruleRepositoryService.getRulesPage(0);
		
		Mockito.verify(this.ruleRepository).findAll(Mockito.any(Pageable.class));
		assertNotNull(rulesPage);
	}

}
