package de.neusta.imonitor.ontology;

/*
 * #%L
 * ontology
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.Collection;
import java.util.HashMap;

import de.neusta.imonitor.ontology.exception.VariableAlreadyExistsException;

public class VariableList {
	private HashMap<String, Variable> variables = new HashMap<String, Variable>();
	
	public VariableList(){
	}
	
	public Variable getVariable(String variable){
		return variables.get(variable);
	}
	
	public Variable createVariable(String variable, String value) throws VariableAlreadyExistsException {
		if (this.getVariable(variable) != null){
			throw new VariableAlreadyExistsException(String.format("The variable with the name %s already exists.", variable));
		}
		Variable newVariable = new Variable(variable, value);
		variables.put(variable, newVariable);
		return newVariable;
	}

	public Collection<Variable> getVariables() {
		return variables.values();
	}

}
