package de.neusta.imonitor.ontology.configs;

/*
 * #%L
 * ontology
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class OntologyConfig extends Config {

	private static final String CONFIG_FILE = "../configs/ontology.properties";
	
	private static final Logger LOGGER = LoggerFactory.getLogger(OntologyConfig.class);
		
	public void init(){
		if (!this.loadConfig(CONFIG_FILE)){
			LOGGER.error("Could not load ontology config file: " + CONFIG_FILE);
		}
	}
	
	public String getOntology(){
		if (properties == null){
			init();
		}
		return getProperty("ontology");
	}
	public boolean check() {
		if (properties == null){
			init();
		}
		boolean success = true;
		String ontology = getOntology();
		if (ontology == null || ontology.isEmpty()){
			LOGGER.error("The ontology has not been specified in the correlation properties file.");
			success = false;
		}
		return success;
	}

}
