package de.neusta.imonitor.ontology.similarity;

/*
 * #%L
 * ontology
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import com.hp.hpl.jena.ontology.OntTools;
import com.hp.hpl.jena.ontology.OntTools.Path;
import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdf.model.Statement;
import com.hp.hpl.jena.util.iterator.Filter;

public class SimilarityFunction implements ISimilarityFunction {

	private static final Filter<Statement> filter = new Filter<Statement>() {
		
		@Override
		public boolean accept(Statement arg0) {
			return true;
		}
	};

	public float determineSimilarity(Resource resource1, Resource resource2) {
		Path shortestPath = OntTools.findShortestPath(resource1.getModel(), resource1.asResource(), resource2.asResource(), filter);
		int shortestPathLength = shortestPath.size();
		return 1f / shortestPathLength;
	}
}
