package de.neusta.imonitor.ontology.utils;

/*
 * #%L
 * ontology
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

import org.junit.Test;


public class ConversionUtilsTest {

	@Test
	public void testEscapeForSparql() throws Exception {
		String result = ConversionUtils.escapeForSparql("127.0.0.1");
		
		assertThat(result, is("\"127.0.0.1\""));
	}

	@Test
	public void testEscapeForSparqlDoesNotConvertNamespacePrefixes() throws Exception {
		String result = ConversionUtils.escapeForSparql("imonitor:127.0.0.1");
		
		assertThat(result, is("imonitor:127.0.0.1"));
	}

	@Test
	public void testEscapeForSparqlDoesNotConvertIris() throws Exception {
		String result = ConversionUtils.escapeForSparql("<test#127.0.0.1>");
		
		assertThat(result, is("<test#127.0.0.1>"));
	}



}
