package de.neusta.imonitor.rulemanager;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class RuleManager {

	private static Logger LOGGER = LoggerFactory.getLogger(RuleManager.class);

	/**
	 * The main method.
	 * @param args The arguments from command line.
	 * @throws Exception Throws the caught, logged exception.
	 */
	@SuppressWarnings("resource")
	public static void main(String[] args) throws Exception {
		ApplicationContext context = null;
		try {
			context = new ClassPathXmlApplicationContext("application.xml");
			RuleManagerStartup startupBean = context
					.getBean(RuleManagerStartup.class);
			startupBean.start(args);
		} catch (Exception ex) {
			LOGGER.error("Unexpected exception in rule manager.", ex);
			throw ex;
		}
	}

}