package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import javax.transaction.Transactional;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.rulemanager.persistency.repositories.RuleRepository;

@Service
public class DeleteRuleService {

	private static final Logger LOGGER = LoggerFactory.getLogger(DeleteRuleService.class);

	@Autowired
	private RuleRepository ruleRepository;

	@Transactional
	public void delete(Long ruleId) {
		RuleEntity ruleToDelete = ruleRepository.findOne(ruleId);
		if (ruleToDelete != null) {
			ruleRepository.delete(ruleToDelete);
			LOGGER.info("Rule deleted.");
		} else {
			LOGGER.error("Rule not found.");
		}
	}

}
