package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.List;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.rulemanager.persistency.repositories.RuleRepository;

@Service
public class ListRulesService {
	
	private RuleRepository ruleRepository;
	
	@Autowired 
	public ListRulesService(RuleRepository ruleRepository) {
		this.ruleRepository = ruleRepository;
	}
	
	@Transactional
	public void list() {
		List<RuleEntity> rules = ruleRepository.findAll();
		printRules(rules);
	}

	private void printRules(List<RuleEntity> rules) {
		System.out.println("Local installed rules:");
		System.out.println("id       - name");
		System.out.println("===============");
		for (RuleEntity ruleEntity : rules) {
			System.out.format("%06d - %s%n", ruleEntity.getId(), ruleEntity.getName());
		}
	}

}
