package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.net.MalformedURLException;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.knowledgeserver.webservice.RuleDTO;
import de.neusta.imonitor.rulemanager.model.CommandLineArguments;
import de.neusta.imonitor.rulewebservice.RuleWebServiceApi;

@Service
public class ListServerRulesService {

	@Autowired
	private RuleWebServiceApi ruleWebServiceApi;

	public void list(CommandLineArguments commandLineArguments) throws MalformedURLException {
		List<RuleDTO> rules = ruleWebServiceApi.getRules();
		System.out.println("Rules on server:");
		for (RuleDTO ruleDTO : rules) {
			System.out.format("%06d - %s%n", ruleDTO.getId(), ruleDTO.getName());
		}
		
	}

}
