package de.neusta.imonitor.rulemanager.transformer;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.webservice.RuleDTO;

public final class RuleTransformation {
	
	// private constructor because to simulate "static" class.
	private RuleTransformation()
	{		
	}
	
	// TODO [rl]: Robert, kannst du bitte hier keine statics verwenden sondern das Transformer pattern und das Transformer interface?
	public static RuleDTO convertToDTO(RuleEntity rule) {
		if(rule == null) {
			throw new IllegalArgumentException("rule");
		}
		RuleDTO result = new RuleDTO();
		result.setName(rule.getName());
		result.setId(rule.getId());
		result.setXml(rule.getRule());
		return result;
	}

	/**
	 * Converts a ruledto to an entity. Does not convert the id.
	 * @param dto
	 * @return
	 */
	public static RuleEntity convertToEntity(RuleDTO dto) {
		if(dto == null) {
			throw new IllegalArgumentException("dto");
		}
		RuleEntity result = new RuleEntity();
		result.setName(dto.getName());
		result.setRule(dto.getXml());
		return result;
	}
}
