package de.neusta.imonitor.rulemanager.transformer;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


/**
 * Interface for all transformers
 *
 * @param <S> The source type.
 * @param <T> The target type.
 */
public interface Transformer<S, T> {
	
	/**
	 * Transforms the source to the target object.
	 * @param source The source to transform.
	 * @return Returns a new transformed instance T.
	 */
	T transform(S source);
}
