package de.neusta.imonitor.rulemanager.model;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.*;

import org.junit.Test;


public class CommandLineArgumentsTest {

	@Test
	public void testCommandLineArgumentsList() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-l");
		
		assertTrue(commandLineArguments.isList());
	}

	@Test
	public void testCommandLineArgumentsDelete() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-d", "5");
		
		assertEquals(new Long(5), commandLineArguments.getDeleteId());
	}

	@Test
	public void testGetCommitId() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-c", "5");
		
		assertEquals(new Long(5), commandLineArguments.getCommitId());
	}

	@Test
	public void testGetFetchId() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-f", "5");
		
		assertEquals(new Long(5), commandLineArguments.getFetchId());
	}

	@Test
	public void testGetAddRuleFile() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-a", "test.xml");
		
		assertEquals("test.xml", commandLineArguments.getAddRuleFile());
	}

	@Test
	public void testGetExportId() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-e", "002");
		
		assertEquals(new Long(2), commandLineArguments.getExportId());
	}

	@Test
	public void testGetWebserviceUrl() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments("-ws", "url");
		
		assertEquals("url", commandLineArguments.getWebserviceUrl());
	}
	
	

}
