package de.neusta.imonitor.rulemanager.ruleloader;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;







import org.dom4j.Document;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.MockitoAnnotations;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.ontology.Ontology;
import de.neusta.imonitor.rulemanager.persistency.repositories.RuleRepository;
import de.neusta.imonitor.rulemanager.ruleloader.RuleLoader;
import de.neusta.imonitor.ruleparser.rules.RuleParser;


@RunWith(MockitoJUnitRunner.class)
public class RuleLoaderTest {

	@InjectMocks
	private RuleLoader ruleLoader;
	
	@Mock
	private Ontology ontology;
	
	@Mock
	private RuleRepository ruleRepository;
	
	@Mock
	private RuleParser ruleParser;
	
	@Before
	public void setup(){
		MockitoAnnotations.initMocks(this);
	}
	
	@Test
	public void testLoadRulesFromDatabase() throws Exception {
		List<RuleEntity> rules = new ArrayList<>();
		RuleEntity rule = new RuleEntity();
		rule.setRule("<rule></rule>");
		rules.add(rule);
		Mockito.when(ruleRepository.findAll()).thenReturn(rules);
		
		ruleLoader.loadRulesFromDatabase(ontology);
		
		Mockito.verify(ruleRepository).findAll();
		Mockito.verify(ruleParser).parseAndAddRule(Mockito.any(Document.class));
	}

}
