package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.knowledgeserver.webservice.RuleDTO;
import de.neusta.imonitor.rulemanager.model.CommandLineArguments;
import de.neusta.imonitor.rulemanager.persistency.repositories.RuleRepository;
import de.neusta.imonitor.rulewebservice.RuleWebServiceApi;

@RunWith(MockitoJUnitRunner.class)
public class CommitRuleServiceTest {

	@InjectMocks
	private CommitRuleService commitRuleService;
	
	@Mock
	private RuleRepository mockedRuleRepository;
	
	@Mock
	private RuleWebServiceApi mockedRuleWebService;
	
	@Test
	public void testCommitCallsServiceCommit() throws Exception {
		Mockito.when(mockedRuleRepository.findOne(1l)).thenReturn(new RuleEntity());
		Mockito.when(mockedRuleWebService.commitRule(Mockito.any(RuleDTO.class))).thenReturn((boolean)true);
		CommandLineArguments commandLineArguments = new CommandLineArguments();
		
		boolean result = commitRuleService.commit(1l, commandLineArguments );
		
		Assert.assertEquals(true, result);
	}
	
	@Test(expected = Exception.class)
	public void testCommitShouldThrowExceptionWhenEntityCouldNotBeFound() throws Exception {
		commitRuleService.commit(1l, null);
	}
}
