package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.correlation.persistency.entities.RuleEntity;
import de.neusta.imonitor.rulemanager.persistency.repositories.RuleRepository;


@RunWith(MockitoJUnitRunner.class)
public class ExportRuleServiceTest {
	
	@InjectMocks
	private ExportRuleService exportRuleService;
	
	@Mock
	private RuleRepository ruleRepository;
	@Mock
	private WriteTextService writeTextService;

	@Test
	public void testExport() throws Exception {
		RuleEntity ruleEntity = new RuleEntity();
		ruleEntity.setRule("rulexml");
		Mockito.when(ruleRepository.findOne(Mockito.eq(5L))).thenReturn(ruleEntity);
		
		exportRuleService.export(new Long(5));
		
		Mockito.verify(writeTextService).write("rulexml", "5.xml");
	}

}
