package de.neusta.imonitor.rulemanager.services;

/*
 * #%L
 * rulemanager
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.knowledgeserver.webservice.RuleDTO;
import de.neusta.imonitor.rulemanager.model.CommandLineArguments;
import de.neusta.imonitor.rulewebservice.RuleWebServiceApi;


@RunWith(MockitoJUnitRunner.class)
public class ListServerRulesServiceTest {
	
	@InjectMocks
	private ListServerRulesService listServerRulesService;
	@Mock
	private RuleWebServiceApi ruleWebServiceApi;

	@Test
	public void testList() throws Exception {
		CommandLineArguments commandLineArguments = new CommandLineArguments();
		List<RuleDTO> rules = new ArrayList<RuleDTO>();
		Mockito.when(ruleWebServiceApi.getRules()).thenReturn(rules );
		
		listServerRulesService.list(commandLineArguments);
		
		Mockito.verify(ruleWebServiceApi).getRules();
	}

}
