package de.neusta.imonitor.correlation;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.actionprocessor.ActionProcessorImpl;
import de.neusta.imonitor.ontology.VariableList;
import de.neusta.imonitor.correlation.rules.Action;
import de.neusta.imonitor.correlation.rules.Incident;

public class ActionProcessorTests {

	@Test
	public void testCreateInstance(){
		ActionProcessorImpl actionProcessor = TestHelper.createActionProcessorInstance();
		Assert.assertNotNull(actionProcessor);
	}
	
	@Test
	public void testActionProcessorWithSimpleIncidentActionDoesNotThrowException(){
		ActionProcessorImpl actionProcessor = TestHelper.createActionProcessorInstance();
		Action action = new Action();
		Incident incident = new Incident();
		incident.setUri("imonitor:InsufficientHarddiskSpaceLeftOnDevice");
		incident.setName("someIncident");
		action.addIncident(incident);
		VariableList varList = new VariableList();
		actionProcessor.processAction(action, varList, null, false);
	}
}
