package de.neusta.imonitor.correlation;

import de.neusta.imonitor.correlation.actionprocessor.ActionProcessorImpl;
import de.neusta.imonitor.correlation.patternmatcher.PatternMatcher;
import de.neusta.imonitor.correlation.rules.RuleParser;
import de.neusta.imonitor.ontology.Ontology;

public class TestHelper {

	/**
	 * loads the test ontology.
	 * 
	 * @return
	 */
	public static Ontology getTestOntology() {
		return new Ontology("file:../data/ontologyTest.owl");
	}

	public static PatternMatcher createPatternMatcherInstance() {
		Ontology ontology = getTestOntology();
		return new PatternMatcher(ontology);
	}

	public static ActionProcessorImpl createActionProcessorInstance() {
		Ontology ontology = getTestOntology();
		return new ActionProcessorImpl(ontology);
	}

	public static String getTestRuleFile() {
		return "file:../data/rulesTest.xml";
	}

	public static RuleParser getTestRuleParser() throws Exception {
		RuleParser ruleParser = new RuleParser();
		Ontology ontology = TestHelper.getTestOntology();
		ruleParser.loadRuleFile("file:../data/rulesTest.xml", ontology);
		return ruleParser;
	}
}
