package de.neusta.imonitor.ruleparser.independencychecker;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;

import org.springframework.stereotype.Service;


@Service
public class IndependencyExceptions {
	
	private List<IndependencyException> exceptions;
	
	/**
	 * Loads the exceptions.
	 */
	@PostConstruct
	public void init() {
		exceptions = new ArrayList<IndependencyException>();
		// individuals
		exceptions.add(createIndependencyException("imonitor", "HIGH_CRITICALITY"));
		exceptions.add(createIndependencyException("imonitor", "MEDIUM_CRITICALITY"));
		exceptions.add(createIndependencyException("imonitor", "LOW_CRITICALITY"));
		// relations
		exceptions.add(createIndependencyException("imonitor", "createDatetime"));
	}

	private IndependencyException createIndependencyException(String namespace,
			String individualName) {
		IndependencyException independencyException = new IndependencyException();
		independencyException.setIndividualName(individualName);
		independencyException.setNamespace(namespace);
		return independencyException;
	}

	public List<IndependencyException> getExceptions() {
		return exceptions;
	}

	public boolean isException(String literal) {
		if (literal == null) {
			return false;
		}
		for (IndependencyException independencyException : exceptions) {
			if (literal.equalsIgnoreCase(independencyException.getFullName())){
				return true;
			}
		}
		return false;
	}
}
