package de.neusta.imonitor.ruleparser.independencychecker;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import de.neusta.imonitor.ontology.constants.NamespaceConstants;

public class LiteralParser {

	private static Pattern literalPattern = Pattern
			.compile("(?i)" + NamespaceConstants.DEFAULT_NAMESPACE + ".*?(?=[\\s|\\.|\\}|\\\"])");

	public static List<String> getLiteralsFromSparqlQuery(String query) {
		List<String> result = new ArrayList<String>();
		Matcher matcher = literalPattern.matcher(query);
		
		while(matcher.find()){
			result.add(matcher.group());
		}

		return result;
	}

}
