package de.neusta.imonitor.ruleparser.rules;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.util.ArrayList;
import java.util.List;

public class Action {

	private List<Incident> incidents = new ArrayList<Incident>();
	private List<String> actionQueries = new ArrayList<String>();
	private List<String> updateQueries = new ArrayList<String>();
	private List<String> recommendations = new ArrayList<String>();
	private List<String> explanations = new ArrayList<String>();
	private String command;
	private int risk;
	private String incidentName;

	public void addIncident(Incident incident) {
		this.incidents.add(incident);
	}
	
	public List<Incident> getIncidents(){
		return this.incidents;
	}

	public void setCommand(String command) {
		this.command = command;
	}
	
	public String getCommand(){
		return this.command;
	}

	public void addQuery(String query) {
		this.actionQueries.add(query);
	}
	
	public List<String> getQueries(){
		return actionQueries;
	}

	public void addRecommendation(String recommendation) {
		this.recommendations.add(recommendation);
	}
	
	public List<String> getRecommendations(){
		return this.recommendations;
	}

	public void addExplanation(String explanation) {
		this.explanations.add(explanation);
	}
	
	public List<String> getExplanations(){
		return this.explanations;
	}
	
	public void addUpdateQuery(String query) {
		this.updateQueries.add(query);
	}
	
	public List<String> getUpdateQueries(){
		return this.updateQueries;
	}

	public int getRisk() {
		return this.risk;
	}

	public void setRisk(int risk) {
		this.risk = risk;
	}

	public String getIncidentName() {
		return incidentName;
	}

	public void setIncidentName(String incidentName) {
		this.incidentName = incidentName;
	}


}
