package de.neusta.imonitor.ruleparser.independencychecker;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;


public class IndependencyExceptionsTest {

	@Test
	public void testGetExceptions() throws Exception {
		IndependencyExceptions independencyExceptions = new IndependencyExceptions();
		independencyExceptions.init();
		
		List<IndependencyException> exceptions = independencyExceptions.getExceptions();
		
		boolean foundCriticalityHigh = false;
		for (IndependencyException independencyException : exceptions) {
			if (independencyException.getFullName().equals("imonitor:HIGH_CRITICALITY")) {
				foundCriticalityHigh = true;
			}
		}
		assertTrue(foundCriticalityHigh);
	}

	@Test
	public void testIsExceptionFalse() throws Exception {
		IndependencyExceptions independencyExceptions = new IndependencyExceptions();
		independencyExceptions.init();
		
		boolean result = independencyExceptions.isException("somethingstrange");
		
		assertFalse(result);
	}
	
	@Test
	public void testIsExceptionTrue() throws Exception {
		IndependencyExceptions independencyExceptions = new IndependencyExceptions();
		independencyExceptions.init();
		
		boolean result = independencyExceptions.isException("imonitor:HIGH_CRITICALITY");
		
		assertTrue(result);
	}
	

}
