package de.neusta.imonitor.ruleparser.independencychecker;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.hamcrest.CoreMatchers.is;

import static org.junit.Assert.*;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.ruleparser.rules.Condition;
import de.neusta.imonitor.ruleparser.rules.Rule;

@RunWith(MockitoJUnitRunner.class)
public class IndependentRuleCheckerTest {

	@InjectMocks
	private IndependentRuleChecker independentRuleChecker;
	@Mock
	private IndependentQueryChecker independentQueryChecker;

	@Test
	public void testIndependentConditionForEmptyRule() throws Exception {
		Rule rule = new Rule();

		boolean independent = independentRuleChecker.isIndependent(rule);

		assertTrue(independent);
	}
	
	@Test
	public void testIndependentRule() throws Exception {
		Rule rule = new Rule();
		Condition condition = new Condition();
		condition.setQuery("query");
		rule.setCondition(condition );
		Mockito.when(independentQueryChecker.isIndependet("query")).thenReturn(true);
		
		boolean independent = independentRuleChecker.isIndependent(rule );
		
		assertThat(independent, is(true));
	}
	

}
