package de.neusta.imonitor.ruleparser.validator;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.hamcrest.Description;
import org.hamcrest.TypeSafeMatcher;

import de.neusta.imonitor.ruleparser.exception.RuleValidationException;
import de.neusta.imonitor.ruleparser.model.FailureEnum;

public class RuleValidationExceptionMatcher extends TypeSafeMatcher<RuleValidationException> {
	
	private FailureEnum expectedFailure;
	
	public RuleValidationExceptionMatcher(FailureEnum expectedFailure) {
		this.expectedFailure = expectedFailure;
	}

	@Override
	public void describeTo(Description description) {
		description.appendText("Unexpected error code. Expected: " + expectedFailure);
	}

	@Override
	protected boolean matchesSafely(RuleValidationException exception) {
		return expectedFailure == exception.getFailure();
	}
	}