package de.neusta.imonitor.rulewebservice.configs;

/*
 * #%L
 * rulewebservice
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;



class Config {

	private static Logger LOGGER = LoggerFactory.getLogger(Config.class);

	
	private Properties properties;
	
	protected Config(){
	}
	
	protected boolean loadConfig(String filename){
		boolean success = true;
		BufferedInputStream stream;
		try {
			stream = new BufferedInputStream(new FileInputStream(filename));
			this.properties = new Properties();
			this.properties.load(stream);
			stream.close();		
		} catch (FileNotFoundException e) {
			LOGGER.info("Config file not found: " + filename);
			return false;
		} catch (IOException e) {
			LOGGER.info("Could not load config file: " + filename);
			return false;
		}
		return success;
	}
	
	public String getProperty(String propertyName){
		if (this.properties == null)
		{
			return null;
		}
		return this.properties.getProperty(propertyName);
	}
}
