package de.neusta.imonitor.rulewebservice.services;

/*
 * #%L
 * rulewebservice
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import java.io.InputStream;

import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import de.neusta.imonitor.ontology.Ontology;

@Service
@Scope("singleton")
public class OntologyInitService {

	private static final Logger LOGGER = LoggerFactory.getLogger(OntologyInitService.class);

	@Autowired
	private Ontology ontology;

	@PostConstruct
	public void init() {
		LOGGER.info("Loading ontology from classpath.");
		InputStream inputStream = getClass().getResourceAsStream("/toplevel-ontology.owl");
		if (inputStream == null) {
			LOGGER.error("Could not find top level ontology in the classpath. Looking for 'top-level-ontology.owl'.");
		} else {
			ontology.load(inputStream);
		}
	}

	public Ontology loadAndInitOntology() {
		return ontology;
	}

}
