package de.neusta.imonitor.rulewebservice.factory;

/*
 * #%L
 * rulewebservice
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertNotNull;

import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.knowledgeserver.webservice.RuleService;
import de.neusta.imonitor.rulewebservice.configs.WebServiceConfig;


@RunWith(MockitoJUnitRunner.class)
public class RuleWebServiceFactoryTest {
	
	private static final String WS_URL = "http://localhost:8081/RuleService";

	@InjectMocks
	private RuleWebServiceFactory ruleWebServiceFactory;
	
	@Mock
	private WebServiceConfig webServiceConfig;

	/**
	 * Integration test for testing the webservice.
	 * @throws Exception
	 */
	@Ignore
	@Test
	public void testCreate() throws Exception {
		Mockito.when(webServiceConfig.getWsdlUrl()).thenReturn(WS_URL);
		
		RuleService ruleService = ruleWebServiceFactory.create();
		
		assertNotNull(ruleService);
	}
	


}
