package de.neusta.imonitor.correlation;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.eventprocessor.IEventProcessor;
import de.neusta.imonitor.correlation.input.JSONProcessor;
import de.neusta.imonitor.ontology.VariableList;

public class JSONProcessorTests {
	
	class EventProcessorMock implements IEventProcessor{

		private VariableList variableList;
		
		@Override
		public void process(VariableList variableList) {
			this.setVariableList(variableList);
		}

		public VariableList getVariableList() {
			return variableList;
		}

		public void setVariableList(VariableList variableList) {
			this.variableList = variableList;
		}
		
	}

	@Test
	public void ParseAttributeValue(){
		EventProcessorMock eventProcessorMock = new EventProcessorMock();
		JSONProcessor jsonProcessor = new JSONProcessor(eventProcessorMock);
		jsonProcessor.processLine("{ \"line1:attribute\": \"value\", \"line1:attribute2\": \"value2\"}");
		VariableList variableList = eventProcessorMock.getVariableList();
		Assert.assertEquals(2, variableList.getVariables().size());
		Assert.assertEquals("imonitor:value", variableList.getVariable("line1:attribute").getValue());
		Assert.assertEquals("imonitor:value2", variableList.getVariable("line1:attribute2").getValue());
	}
	
	
}
