package de.neusta.imonitor.correlation;

import java.util.List;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.independencychecker.LiteralParser;

public class LiteralParserTests {
	
	private static final String SPARQL_QUERY = "ASK { $hostaddress a imonitor:Server. $hoststate owl:sameAs imonitor:DOWN }";
	private static final String NO_LITERALS = "ASK { $hostaddress is \"127.0.0.1\"";

	@Test
	public void testLiteralParserDetectsLiterals(){
		List<String> literalsFromSparqlQuery = LiteralParser.getLiteralsFromSparqlQuery(SPARQL_QUERY);
		Assert.assertNotNull(literalsFromSparqlQuery);
		Assert.assertEquals(2, literalsFromSparqlQuery.size());
		Assert.assertEquals("imonitor:Server", literalsFromSparqlQuery.get(0));
		Assert.assertEquals("imonitor:DOWN", literalsFromSparqlQuery.get(1));
	}

	@Test
	public void testLiteralParserDetectsNoLiterals(){
		List<String> literalsFromSparqlQuery = LiteralParser.getLiteralsFromSparqlQuery(NO_LITERALS);
		Assert.assertNotNull(literalsFromSparqlQuery);
		Assert.assertEquals(0, literalsFromSparqlQuery.size());
	}

	
}
